﻿@using FInalTest.Models.PictureModels
@using FInalTest.Models.RatingModels
@model FInalTest.Models.PlaceModels.PlaceModel

@{
    ViewData["Title"] = "DetailsPlace";
}

<div>
    <div class="container">
        <div class="row">
            <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
                <h1 class="my-4 pb-2 border-bottom  border-dark">
                    @Html.DisplayFor(model => model.Name)
                </h1>
                <p></p>
                <h4>@Html.DisplayFor(model => model.Description)</h4>
                <p></p>
                <h4>@Html.DisplayFor(model => model.Author)</h4>
                <p></p>
                <h4>@Html.DisplayFor(model => model.Author)</h4>
                <p></p>
                <h4>Рейтинг:</h4>
                <h4>@Html.DisplayFor(model => model.RatingScore)</h4>
            </div>
            <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
                <img style="width: 100%; height: 100%" src="@Url.Content(Model.FilePath)" />
            </div>
        </div>
    </div>
</div>

<hr />

<div>
    <div class="container">
        <div class="row">
            @foreach (var item in Model.Pictures)
            {
                <div class="col-md-2">
                    <img style="width: 100%; height: 100%" src="@Url.Content(item.FilePath)" />
                </div>
            }
        </div>
    </div>
</div>

<hr />

<table id="topicTable" class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.CommentModel.Author)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.CommentModel.DateOfPublication)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.CommentModel.Content)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.Comments.OrderByDescending(s => s.DateOfPublication))
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Author.UserName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.DateOfPublication)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Content)
                </td>

                <td></td>
            </tr>
        }
    </tbody>
</table>

<div>
    <a asp-controller="Place" asp-action="AddComment" asp-route-placeId="@Model.Id">
        <input type="submit" value="Коментировать" class="btn btn-primary mt-3" />
    </a>
</div>

@{
    var ratingCreateModel = new RatingCreateModel()
    {
        MarkSelect = Model.MarkSelect,
        PlaceId = Model.Id
    };
}

<partial name="_AddRatingPartial" model="@ratingCreateModel" />


<hr />

@{
    var addPictureModel = new AddPictureModel()
    {
        PlaceId = Model.Id
    };
}

<partial name="_AddPicturePartial" model="@addPictureModel" />



